View Issue Details

IDProjectCategoryView StatusLast Update
0003329Far ManagerFile Systempublic2016-12-02 16:51
ReporterVladVAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version7
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003329: Лишнее перечитывание списка файлов
DescriptionПривет!

На сетевых папках с десятком тысяч файлов видно, что FAR зачем-то лишний раз обновляет список файлов перед сменой диска или запуском программы. Это создаёт ненужные задержки.
Steps To ReproduceЗапустить Фра.
Зайти на сетевую расшаренную папку (примепленную к букве устройства и/или по полному пути с именем удалённого сервера).
Открыть подпапку с десятками тысяч файлов и обратить внимание сколько секунд или даже минут обновляется список файлов (такое бывает, если сервер находится на другом конце глобуса).
Запустить какую-либо команду в командной строке либо поменять устройство (Alt+F1, C).
Обратить внимание, что опять пошло обновление списка файлов, т.е. зачем-то опять придётся ждать несколько десятков секунд или даже несколько минут.
TagsNo tags attached.
Build4745

Activities

VladV

2016-11-17 11:33

reporter   bugnote:0015019

Что-то никто не хочет фиксить... :(
На всякий случай ещё раз повторю, что перечитывается список файлов, который сразу станет никому не нужен т.к. запустится какая-либо программа либо сменится диск. Т.е. этот новый список только на долю секунды мигает на экране и всё, экран обновляется самим ФАРом или другой программой..

shmuel

2016-11-17 15:53

developer   bugnote:0015022

Насчёт "никто не хочет фиксить" - это неправильное мнение. Все разработчики хотят, но не всегда есть время, и не всегда легко пофиксить. Запаситесь терпением.

zg

2016-11-19 22:22

developer   bugnote:0015024

Last edited: 2016-11-20 03:18

View 2 revisions

far 3.0.4845, чистый профиль, без плагинов и макросов. не воспроизводится.
перехожу в сетевую папку. набираю dir. перечитывание один раз после выполнения команды.
alt-f1 c, тоже единственное чтение уже на диске с.
чтения смотрелись в отладчике, так что списать на то, что это быстрая сеть и не заметно — не получится.
смотрите настройки, плагины, макросы, которые влияют.

VladV

2016-11-21 19:25

reporter   bugnote:0015025

FAR 3.0.4845, куча плагинов, в системе ничего не менял.

А действительно, теперь перечитывания нет! Проверял на сетевой папке с 82 тыс.файлов.
Если никто ничего не менял, то очень странно.
В следующий раз запущу файловый монитор, если опять начнётся.

Issue History

Date Modified Username Field Change
2016-10-14 00:30 VladV New Issue
2016-11-17 11:33 VladV Note Added: 0015019
2016-11-17 15:53 shmuel Note Added: 0015022
2016-11-19 22:22 zg Note Added: 0015024
2016-11-20 03:18 zg Note Edited: 0015024 View Revisions
2016-11-21 19:25 VladV Note Added: 0015025
2016-12-02 16:51 DrKnS Build => 4745
2016-12-02 16:51 DrKnS Status new => closed
2016-12-02 16:51 DrKnS Assigned To => DrKnS
2016-12-02 16:51 DrKnS Resolution open => fixed
2016-12-02 16:51 DrKnS Fixed in Version => 3.0